Description

Give an interesting introduction into our tests.

This task should be split in the following subtasks

1. Describe the benefits of the different tests.

2. Describe consideration that are to be made to decide where I use the one or the other.

3. Show the benefits of different testing strategies (Test first / TDD)

4. Add some best practice links and showcase good tests in our code base.

The benefit of this should be that everybody should be capable of writing tests with the different test scopes in mind.

Related issues:

Related to Dashboard - Feature #42253: mgr/dashboard: Define and document val... Resolved

History

#1 - 10/17/2019 12:35 PM - Stephan Müller

I will first provide an presentation which will be presented during a call as soon as the presentation is done.

#2 - 10/17/2019 12:35 PM - Stephan Müller

- Related to Feature #42253: mgr/dashboard: Define and document valid frontend tests added

#3 - 04/15/2021 05:04 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 132 to General
